Run in Apidog
Adds the approval rules for expenses. Create the department, grade, designation, and category first, then create the policy. The person calling this API must already be an employee in the company.
Request Body Params application/json Required
{
"policyName" : "string" ,
"category" : "string" ,
"status" : "DRAFTED" ,
"departmentCodes" : [
"string"
] ,
"employeeGradeFrom" : "string" ,
"employeeGradeTo" : "string" ,
"policyFrequency" : "PER_EXPENSE" ,
"perExpenseAmount" : 0 ,
"perMonthAmount" : 0 ,
"perMonthCount" : 0 ,
"submissionPolicyDays" : 0 ,
"fromDate" : "2019-08-24" ,
"toDate" : "2019-08-24" ,
"allowedForFuelRequest" : true
} Request Code Samples
curl --location 'https://ekpayout-uat.enkash.in/api/v0/partner/policy' \
--header 'Authorization;' \
--header 'Content-Type: application/json' \
--data '{
"policyName": "string",
"category": "string",
"status": "DRAFTED",
"departmentCodes": [
"string"
],
"employeeGradeFrom": "string",
"employeeGradeTo": "string",
"policyFrequency": "PER_EXPENSE",
"perExpenseAmount": 0,
"perMonthAmount": 0,
"perMonthCount": 0,
"submissionPolicyDays": 0,
"fromDate": "2019-08-24",
"toDate": "2019-08-24",
"allowedForFuelRequest": true
}' Responses
{
"response_code" : 0 ,
"response_message" : "string" ,
"payload" : {
"policyId" : "string" ,
"policyName" : "string" ,
"status" : "string" ,
"categoryId" : "string" ,
"categoryName" : "string" ,
"departmentCodes" : [
"string"
] ,
"employeeGradeFrom" : "string" ,
"employeeGradeTo" : "string" ,
"policyFrequency" : "string" ,
"perExpenseAmount" : 0 ,
"perMonthAmount" : 0 ,
"perMonthCount" : 0 ,
"submissionPolicyDays" : 0 ,
"fromDate" : "2019-08-24" ,
"toDate" : "2019-08-24" ,
"allowedForFuelRequest" : true
}
} Modified at 2026-11-02 19:48:55